Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05260 Graphics Minor Have not tried Aug 9, 2013, 21:44 Dec 18, 2018, 06:13
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Bugs That Aren't Bugs OS Windows XP
Status [?] Resolved Driver mcr.cpp
Version 0.149u1 Fixed in Version Build Normal
Summary 05260: demoderb: Cars can not reach the right edge
Description In MAME's Demolition Derby you can not reach the right edge. Only at the up, down and left side.
In the arcade version you can reach all edges (see picture).
Watch this Youtube video:
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems demoderb
Attached Files
png file icon demoderb.png (365,501 bytes) Aug 9, 2013, 21:44 Uploaded by M.A.S.H.
M.A.S.H.
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.09720
NekoEd
Senior Tester
Aug 9, 2013, 23:25
I'm not sure this is a graphics bug, seems more like a logic error to me....
User avatar
No.09721
Haze
Senior Tester
Aug 10, 2013, 14:59
I see nothing in the video to suggest you can drive in a straight line into the border any further than in MAME, looks more like if you do a quick 180 turn on the wheel you can end up there.
User avatar
No.09722
M.A.S.H.
Senior Tester
Aug 10, 2013, 17:26
No Haze, a quick 180 turn on the wheel doesn't work. Look in MAME you *can* drive straight into left, up and down border line.
But not into the *right* line. You can not reach it!
Test this with MAME...
User avatar
No.09723
Haze
Senior Tester
Aug 10, 2013, 21:21
yes, I have tested this with MAME, and I see nothing in the video that is different to MAME (and plenty to suggest the limit is in the same place as MAME) even the screenshots you post look like the middle of a turning operation.
User avatar
No.09724
NekoEd
Senior Tester
Aug 11, 2013, 00:53
Sorry, Haze, but I have to disagree. I tried to reproduce a "turning operation" like you say and I can't; there's a hard limit in MAME at the very edge of the curb on the right side, whereas the limits on the other three reach the fence.
User avatar
No.09725
Haze
Senior Tester
Aug 11, 2013, 13:43
edited on: Aug 11, 2013, 13:43
yes, I agree, there is a different limit on the right hand side.

it looks to me like the limit is exactly the same as MAME in the video tho and that this is 'BTNAB' material.
User avatar
No.09728
NekoEd
Senior Tester
Aug 12, 2013, 00:22
I took a close look at the video, and the limit is definitely to the fence on the right side in the video. You can see the car make it all the way to the right fence at least twice after he starts playing at 2:00 into the video; this is impossible to do in MAME.
User avatar
No.15909
MetalGod
Tester
Dec 14, 2018, 12:40
edited on: 12 days ago
It's a clear BTANB. Same behaviour on the arcade pcb:
4:05 blue bottom car goes right, then left. Right side border cannot be reached and left can be reached, same as mame
4:28 blue top car checks UP border behaves exactly as in mame. That border can be reached.
4:32 blue bottom car checks DOWN border is reachable, as in mame.